### Hierarchy

- CookieStorage

### Implements

- IStorageProvider

## Index

### Constructors

- constructor

### Properties

- _domain
- config
- prefix
- suffix

### Methods

- create
- get
- isSecure
- isValidJSON
- makeKey
- remove
- save

## Constructors

### constructor

- new CookieStorage(config: IConfig): CookieStorage

- - Defined in Storage.ts:77

  #### Parameters

  - ##### config: IConfig

  #### Returns CookieStorage

## Properties

### Private _domain

_domain: string

- Defined in Storage.ts:77

### config

config: IConfig

- Defined in Storage.ts:79

### prefix

prefix: string = "ipp"

Implementation of IStorageProvider.prefix

- Defined in Storage.ts:74

### suffix

suffix: string = ""

Implementation of IStorageProvider.suffix

- Defined in Storage.ts:75

## Methods

### create

- create(key: string, value: string, expireDays?: undefined | number, ignorePrefix?: undefined | false | true): void

- - Defined in Storage.ts:89

  #### Parameters

  - ##### key: string

  - ##### value: string

  - ##### Optional expireDays: undefined | number

  - ##### Optional ignorePrefix: undefined | false | true

  #### Returns void

### get

- get(key: string, defaultValue?: any, ignorePrefix?: undefined | false | true): string

- - Defined in Storage.ts:108

  #### Parameters

  - ##### key: string

  - ##### Optional defaultValue: any

  - ##### Optional ignorePrefix: undefined | false | true

  #### Returns string

### Private isSecure

- isSecure(): boolean

- - Defined in Storage.ts:138

  #### Returns boolean

### Private isValidJSON

- isValidJSON(val: any): boolean

- - Defined in Storage.ts:157

  #### Parameters

  - ##### val: any

  #### Returns boolean

### Private makeKey

- makeKey(key: string): string

- - Defined in Storage.ts:142

  #### Parameters

  - ##### key: string

  #### Returns string

### remove

- remove(key: string): void

- - Defined in Storage.ts:134

  #### Parameters

  - ##### key: string

  #### Returns void

### save

- save(key: string, value: string, expireDays?: undefined | number, ignorePrefix?: undefined | false | true): void

- - Defined in Storage.ts:104

  #### Parameters

  - ##### key: string

  - ##### value: string

  - ##### Optional expireDays: undefined | number

  - ##### Optional ignorePrefix: undefined | false | true

  #### Returns void

Generated using TypeDoc